DID Routing

Browse number catalog

List Indian phone numbers currently available to purchase through our carrier partner. Filter by number class with the `type` query parameter.

GET
/dids/managed/catalog

List Indian phone numbers currently available to purchase through our carrier partner. Filter by number class with the type query parameter.

Authorization

ApiKeyAuth
X-API-Key<token>

Voice platform authentication secret. Create one from the API Keys endpoint or your dashboard.

In: header

Query Parameters

type?string

Number class to browse.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/dids/managed/catalog"
{  "data": [    {      "didId": 48213,      "didNumber": "+911408620000",      "monthlyRate": 199,      "type": "mobile"    }  ]}
{  "statusCode": 400,  "message": [    "name should not be empty"  ],  "error": "Bad Request"}
{  "statusCode": 401,  "message": "Unauthorized",  "error": "Unauthorized"}